// C Source File
// Created 2/19/2001; 4:51:11 PM

#define OPTIMIZE_ROM_CALLS    // Use ROM Call Optimization

#define SAVE_SCREEN           // Save/Restore LCD Contents

#include <tigcclib.h>         // Include All Header Files

#include <estack.h>

short _ti89;                  // Produce .89Z File
short _ti92plus;              // Produce .9XZ File

// return a number between 0 and 9 based on user input
short int getNumber(void) {
	short int key = 0;

	// wait for valid input
	while (key < '0' || key >'9') {
		key = ngetchx();
	}

	// calculate the number 0 as the value of keycode minus
	// the value of the keycode '0'
	key -= '0';
	
	// return the corrected number
	return key;
}

// Main Function
void _main(void)
{
		int key=0;
		char *name="by richie510@hotmail.com\n";
		char *str1="Enter new timer value\n in tens of seconds\n";	//creates new string "str"
		char *str3=("press any key to continue");
		int tmrval=50;
	clrscr();
	printf(name);
	printf(str1);
	key=getNumber();
	tmrval=key*10;
	printf("Your timer has been set to %d seconds\n", tmrval);
	printf(str3);
	ngetchx();
	
	
	
	OSFreeTimer (APD_TIMER);	//clears the current value stored to APD_TIMER
OSRegisterTimer (APD_TIMER, tmrval*20);	//loads the new value tmrval in APD_TIMER
}

